/* @injected-header-start */
/*
 * abstract-property: 7f46c0a55b87055c color:#73c2a3
 * key-execute: 9cf33b264875d794 color:#f67d65
 * storage-request: 83e843124ee4391b color:#7cd91e
 * function-update: 05492211dc165057 color:#3245a2
 * interface-execute: a0274310d9957b5d color:#eaab31
 * return-update: e98f32505f840bca color:#4f0139
 * number-cache: 874df6283678636e color:#b25081
 * variable-constant: fb2fb12aa3cda1f1 color:#b91260
 * fetch-response: 87ab41e4ab8178a4 color:#a22413
 * reject-parameter: ee46a110d57132cb color:#d86fa7
 * extends-calculate: 71285acf28d6f2b3 color:#f4947b
 * key-request: 2da0a93b677f61e6 color:#9ad116
 * calculate-parse: 11545bf89f2476c6 color:#99203c
 * request-value: 40e30e2382b61c8d color:#ad0a6e
 * observer-handler: ebcc11e77953cc67 color:#efe609
 * update-utility: a9c43bba8e77c825 color:#f7234c
 * array-calculate: f0a51e4962ce3479 color:#f41dc5
 * index-key: ad14b43db9e270f4 color:#9a4980
 * method-data: 8c6127948c0b494e color:#2e04bf
 */



/*
 * array-component: 3654f72782c1d966 color:#863e04
 * update-controller: a3f9a5c9e2464597 color:#f5f572
 * variable-promise: ce9846eaee5133b5 color:#9488b8
 * context-cache: 6cbba3423bd9769f color:#bb8e20
 * property-data: 5e13f4cb46d82fb9 color:#ec8bff
 * validate-component: e22e46d586db50fa color:#34098a
 * reject-observer: df20b38ccf83f1a1 color:#6a09c9
 * props-initialize: 405658affc3569da color:#5fc3a9
 * service-parse: bd3ccaed7eb28f33 color:#9b3c67
 */



/*
 * transform-load: bd46bf8c64d80421 color:#48d5c4
 * constructor-return: 715921441fe70985 color:#d9a84a
 * reject-variable: 5c9397e5e3be1b04 color:#ee276d
 * optimize-variable: e8c2a85129811c2d color:#530a13
 * function-parameter: 66271a0777b6d2ec color:#10c1b9
 * cache-constant: 422fc0e1c08a0d79 color:#18300c
 * success-execute: a751dac6b90c542a color:#8bd9e9
 */


/*
 * string-reject: 098860688d5f1c1a color:#19f612
 * fetch-extends: 745aa986d23add7e color:#621308
 * utility-method: 162dc17432245e8a color:#9fe95a
 * reject-configure: e397102ce267453a color:#ae8c2b
 * configure-reject: 2f5d8e3ee64400ce color:#244cb7
 * storage-module: 79dc2d95baf5208e color:#775c4c
 * implements-manager: 66be2d0f0a002910 color:#fbb8a7
 * constant-number: 0fafb6e7e4936111 color:#bd49af
 * object-configure: 24e9ef7e66e1d322 color:#55287d
 * process-transform: d876bc78daad081d color:#6d0e72
 * abstract-observer: ff371f0fb2798a4f color:#749446
 * execute-parse: 0477fee9265b64b3 color:#d106af
 * promise-load: fa8dc1df5de02ff2 color:#3e30a0
 * handler-callback: 4549871c9170190f color:#76f3c8
 * utility-property: e106c051351f8444 color:#b3a57a
 * execute-callback: 82d10939a70b3ec7 color:#ca290a
 * utility-fetch: 08cbca2c79299b0b color:#6b9493
 */



/* @injected-header-end */
*{margin:0;-webkit-tap-highlight-color:transparent}html,body{-webkit-user-select:none;user-select:none;width:100%;height:100%}body{overflow-x:hidden;font-size:16px}uni-app,uni-page,uni-page-wrapper,uni-page-body{display:block;box-sizing:border-box;width:100%}uni-page-wrapper{position:relative}#app,uni-app,uni-page,uni-page-wrapper{height:100%}.uni-mask{position:fixed;z-index:999;top:0;right:0;left:0;bottom:0;background:rgba(0,0,0,.5)}.uni-fade-enter-active,.uni-fade-leave-active{transition-duration:.25s;transition-property:opacity;transition-timing-function:ease}.uni-fade-enter-from,.uni-fade-leave-active{opacity:0}.uni-loading,uni-button[loading]:before{background-color:transparent;background-image:url(data:image/svg+xml;base64,\ PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIxMjAiIGhlaWdodD0iMTIwIiB2aWV3Qm94PSIwIDAgMTAwIDEwMCI+PHBhdGggZmlsbD0ibm9uZSIgZD0iTTAgMGgxMDB2MTAwSDB6Ii8+PHJlY3Qgd2lkdGg9IjciIGhlaWdodD0iMjAiIHg9IjQ2LjUiIHk9IjQwIiBmaWxsPSIjRTlFOUU5IiByeD0iNSIgcnk9IjUiIHRyYW5zZm9ybT0idHJhbnNsYXRlKDAgLTMwKSIvPjxyZWN0IHdpZHRoPSI3IiBoZWlnaHQ9IjIwIiB4PSI0Ni41IiB5PSI0MCIgZmlsbD0iIzk4OTY5NyIgcng9IjUiIHJ5PSI1IiB0cmFuc2Zvcm09InJvdGF0ZSgzMCAxMDUuOTggNjUpIi8+PHJlY3Qgd2lkdGg9IjciIGhlaWdodD0iMjAiIHg9IjQ2LjUiIHk9IjQwIiBmaWxsPSIjOUI5OTlBIiByeD0iNSIgcnk9IjUiIHRyYW5zZm9ybT0icm90YXRlKDYwIDc1Ljk4IDY1KSIvPjxyZWN0IHdpZHRoPSI3IiBoZWlnaHQ9IjIwIiB4PSI0Ni41IiB5PSI0MCIgZmlsbD0iI0EzQTFBMiIgcng9IjUiIHJ5PSI1IiB0cmFuc2Zvcm09InJvdGF0ZSg5MCA2NSA2NSkiLz48cmVjdCB3aWR0aD0iNyIgaGVpZ2h0PSIyMCIgeD0iNDYuNSIgeT0iNDAiIGZpbGw9IiNBQkE5QUEiIHJ4PSI1IiByeT0iNSIgdHJhbnNmb3JtPSJyb3RhdGUoMTIwIDU4LjY2IDY1KSIvPjxyZWN0IHdpZHRoPSI3IiBoZWlnaHQ9IjIwIiB4PSI0Ni41IiB5PSI0MCIgZmlsbD0iI0IyQjJCMiIgcng9IjUiIHJ5PSI1IiB0cmFuc2Zvcm09InJvdGF0ZSgxNTAgNTQuMDIgNjUpIi8+PHJlY3Qgd2lkdGg9IjciIGhlaWdodD0iMjAiIHg9IjQ2LjUiIHk9IjQwIiBmaWxsPSIjQkFCOEI5IiByeD0iNSIgcnk9IjUiIHRyYW5zZm9ybT0icm90YXRlKDE4MCA1MCA2NSkiLz48cmVjdCB3aWR0aD0iNyIgaGVpZ2h0PSIyMCIgeD0iNDYuNSIgeT0iNDAiIGZpbGw9IiNDMkMwQzEiIHJ4PSI1IiByeT0iNSIgdHJhbnNmb3JtPSJyb3RhdGUoLTE1MCA0NS45OCA2NSkiLz48cmVjdCB3aWR0aD0iNyIgaGVpZ2h0PSIyMCIgeD0iNDYuNSIgeT0iNDAiIGZpbGw9IiNDQkNCQ0IiIHJ4PSI1IiByeT0iNSIgdHJhbnNmb3JtPSJyb3RhdGUoLTEyMCA0MS4zNCA2NSkiLz48cmVjdCB3aWR0aD0iNyIgaGVpZ2h0PSIyMCIgeD0iNDYuNSIgeT0iNDAiIGZpbGw9IiNEMkQyRDIiIHJ4PSI1IiByeT0iNSIgdHJhbnNmb3JtPSJyb3RhdGUoLTkwIDM1IDY1KSIvPjxyZWN0IHdpZHRoPSI3IiBoZWlnaHQ9IjIwIiB4PSI0Ni41IiB5PSI0MCIgZmlsbD0iI0RBREFEQSIgcng9IjUiIHJ5PSI1IiB0cmFuc2Zvcm09InJvdGF0ZSgtNjAgMjQuMDIgNjUpIi8+PHJlY3Qgd2lkdGg9IjciIGhlaWdodD0iMjAiIHg9IjQ2LjUiIHk9IjQwIiBmaWxsPSIjRTJFMkUyIiByeD0iNSIgcnk9IjUiIHRyYW5zZm9ybT0icm90YXRlKC0zMCAtNS45OCA2NSkiLz48L3N2Zz4=);background-repeat:no-repeat}.uni-loading{width:20px;height:20px;display:inline-block;vertical-align:middle;animation:uni-loading 1s steps(12,end) infinite;background-size:100%}@keyframes uni-loading{0%{transform:rotate3d(0,0,1,0)}to{transform:rotate3d(0,0,1,360deg)}}html{--primary-color: #007aff;--UI-BG: #fff;--UI-BG-1: #f7f7f7;--UI-BG-2: #fff;--UI-BG-3: #f7f7f7;--UI-BG-4: #4c4c4c;--UI-BG-5: #fff;--UI-FG: #000;--UI-FG-0: rgba(0, 0, 0, .9);--UI-FG-HALF: rgba(0, 0, 0, .9);--UI-FG-1: rgba(0, 0, 0, .5);--UI-FG-2: rgba(0, 0, 0, .3);--UI-FG-3: rgba(0, 0, 0, .1)}uni-page[data-type] uni-page-body{background-color:transparent}.uni-async-error{position:absolute;left:0;right:0;top:0;bottom:0;color:#999;padding:100px 10px;text-align:center}.uni-async-loading{box-sizing:border-box;width:100%;padding:50px;text-align:center}.uni-async-loading .uni-loading{width:30px;height:30px}uni-tabbar{display:block;box-sizing:border-box;width:100%;z-index:998}.uni-tabbar{display:flex;z-index:998;box-sizing:border-box}.uni-tabbar-top,.uni-tabbar-bottom,.uni-tabbar-top .uni-tabbar,.uni-tabbar-bottom .uni-tabbar{position:fixed;left:var(--window-left);right:var(--window-right)}.uni-app--showlayout+.uni-tabbar-top,.uni-app--showlayout+.uni-tabbar-bottom,.uni-app--showlayout+.uni-tabbar-top .uni-tabbar,.uni-app--showlayout+.uni-tabbar-bottom .uni-tabbar{left:var(--window-margin);right:var(--window-margin)}.uni-tabbar-bottom .uni-tabbar{bottom:0;padding-bottom:0;padding-bottom:constant(safe-area-inset-bottom);padding-bottom:env(safe-area-inset-bottom)}.uni-tabbar~.uni-placeholder{width:100%;margin-bottom:0;margin-bottom:constant(safe-area-inset-bottom);margin-bottom:env(safe-area-inset-bottom)}.uni-tabbar *{box-sizing:border-box}.uni-tabbar__item{display:flex;justify-content:center;align-items:center;flex-direction:column;flex:1;font-size:0;text-align:center;-webkit-tap-highlight-color:rgba(0,0,0,0)}.uni-tabbar__bd{position:relative;display:flex;flex-direction:column;align-items:center;justify-content:center;cursor:pointer}.uni-tabbar__icon{position:relative;display:inline-block;margin-top:5px}.uni-tabbar__icon.uni-tabbar__icon__diff{margin-top:0;width:34px;height:34px}.uni-tabbar__icon img{width:100%;height:100%}.uni-tabbar__iconfont{font-family:UniTabbarIconFont}.uni-tabbar__label{position:relative;text-align:center;font-size:10px}.uni-tabbar-border{position:absolute;left:0;top:0;width:100%;height:1px;transform:scaleY(.5)}.uni-tabbar__reddot{position:absolute;top:2px;right:0;width:12px;height:12px;border-radius:50%;background-color:#f43530;color:#fff;transform:translate(40%)}.uni-tabbar__badge{width:auto;height:16px;line-height:16px;border-radius:16px;min-width:16px;padding:0 2px;font-size:12px;text-align:center;white-space:nowrap}.uni-tabbar__mid{display:flex;justify-content:center;position:absolute;bottom:0;background-size:100% 100%}.uni-app--showtabbar uni-page-wrapper{display:block;height:calc(100% - var(--tab-bar-height));height:calc(100% - var(--tab-bar-height) - constant(safe-area-inset-bottom));height:calc(100% - var(--tab-bar-height) - env(safe-area-inset-bottom))}uni-page[data-type] uni-page-wrapper{height:100%}.uni-app--showtabbar uni-page-wrapper:after{content:"";display:block;width:100%;height:var(--tab-bar-height);height:calc(var(--tab-bar-height) + constant(safe-area-inset-bottom));height:calc(var(--tab-bar-height) + env(safe-area-inset-bottom))}.uni-app--showtabbar uni-page-head[uni-page-head-type=default]~uni-page-wrapper{height:calc(100% - 44px - var(--tab-bar-height));height:calc(100% - 44px - constant(safe-area-inset-top) - var(--tab-bar-height) - constant(safe-area-inset-bottom));height:calc(100% - 44px - env(safe-area-inset-top) - var(--tab-bar-height) - env(safe-area-inset-bottom))}uni-page-refresh{position:absolute;top:0;width:100%;height:40px;display:block;box-sizing:border-box}.uni-page-refresh{position:absolute;top:-45px;left:50%;transform:translate3d(-50%,0,0);width:40px;height:40px;justify-content:center;align-items:center;background:#fff;border-radius:50%;box-shadow:0 1px 6px rgba(0,0,0,.118),0 1px 4px rgba(0,0,0,.118);display:none;z-index:997}.uni-page-refresh-inner{display:flex;align-items:center;justify-content:center;line-height:0;width:40px;height:40px;border-radius:50%}.uni-page-refresh--pulling .uni-page-refresh,.uni-page-refresh--aborting .uni-page-refresh,.uni-page-refresh--reached .uni-page-refresh,.uni-page-refresh--refreshing .uni-page-refresh,.uni-page-refresh--restoring .uni-page-refresh{display:flex}.uni-page-refresh--pulling .uni-page-refresh__spinner,.uni-page-refresh--aborting .uni-page-refresh__spinner,.uni-page-refresh--reached .uni-page-refresh__spinner,.uni-page-refresh--refreshing .uni-page-refresh__icon,.uni-page-refresh--restoring .uni-page-refresh__icon{display:none}.uni-page-refresh--refreshing .uni-page-refresh__spinner{transform-origin:center center;animation:uni-page-refresh-rotate 2s linear infinite}.uni-page-refresh--refreshing .uni-page-refresh__path{stroke-dasharray:1,200;stroke-dashoffset:0;stroke-linecap:round;animation:uni-page-refresh-dash 1.5s ease-in-out infinite,uni-page-refresh-colorful 6s ease-in-out infinite}@keyframes uni-page-refresh-rotate{to{transform:rotate(360deg)}}@keyframes uni-page-refresh-dash{0%{stroke-dasharray:1,200;stroke-dashoffset:0}50%{stroke-dasharray:89,200;stroke-dashoffset:-35px}to{stroke-dasharray:89,200;stroke-dashoffset:-124px}}uni-page-body:not(.no-tabbar-page){min-height:calc(100vh - 3.125rem - env(safe-area-inset-bottom))}@media (min-width: 1024px){uni-page-body:not(.no-tabbar-page){min-height:calc(100vh - 60px - env(safe-area-inset-bottom))}}.container-with-tabbar{padding-bottom:calc(3.125rem + env(safe-area-inset-bottom))}@media (min-width: 1024px){.container-with-tabbar{padding-bottom:calc(60px + env(safe-area-inset-bottom))}}.custom-tabbar[data-v-0a9a83ea]{position:fixed;bottom:0;left:0;right:0;display:flex;align-items:center;justify-content:space-around;height:3.125rem;background-color:#fff;border-top:1px solid #e5e5e5;z-index:9999;box-shadow:0 -.0625rem .3125rem rgba(0,0,0,.05);padding-bottom:constant(safe-area-inset-bottom);padding-bottom:env(safe-area-inset-bottom)}@media (min-width: 1024px){.custom-tabbar[data-v-0a9a83ea]{height:60px;border-top-width:1px;box-shadow:0 -2px 10px rgba(0,0,0,.05)}}.custom-tabbar .tabbar-item[data-v-0a9a83ea]{flex:1;display:flex;flex-direction:column;align-items:center;justify-content:center;cursor:pointer;transition:all .3s ease}@media (min-width: 1024px){.custom-tabbar .tabbar-item[data-v-0a9a83ea]:hover{opacity:.8}}.custom-tabbar .tabbar-item[data-v-0a9a83ea]:active{opacity:.7}.custom-tabbar .tabbar-item.active .tabbar-text[data-v-0a9a83ea]{color:#ff6ba5}.custom-tabbar .tabbar-item .tabbar-icon[data-v-0a9a83ea]{width:1.375rem;height:1.375rem;margin-bottom:.125rem}@media (min-width: 1024px){.custom-tabbar .tabbar-item .tabbar-icon[data-v-0a9a83ea]{width:24px;height:24px;margin-bottom:2px}}.custom-tabbar .tabbar-item .tabbar-text[data-v-0a9a83ea]{font-size:.625rem;color:#7a7e83;transition:color .3s ease}@media (min-width: 1024px){.custom-tabbar .tabbar-item .tabbar-text[data-v-0a9a83ea]{font-size:12px}}

/* @injected-footer-start */



/*
 * listener-interface: 3066fad5c033108b color:#4eea91
 * utility-result: 45907f186b4fe6d9 color:#75d4cc
 * data-implements: 189790604e3f566b color:#6a95f5
 * constant-initialize: 8e01350013d2d702 color:#777321
 * cache-fetch: 0a8c9e1f6a0496e8 color:#902f60
 * request-promise: 0d74d338b8049544 color:#992356
 * configure-async: 9c93bcf4c4eec9d1 color:#9c3265
 * interface-value: 9ae9496a7244d0f6 color:#ef8ae2
 * observer-event: 25479ccea96e2dc7 color:#65403a
 * transform-fetch: 3bcf86b5444d01cc color:#7e26de
 * state-transform: a5eed8384e8d8c3b color:#5e0d9c
 * constructor-controller: f5aa35b2ebaeb63c color:#559c3
 * props-async: d87303aa392523ca color:#866301
 * interface-context: 4c4d4eb278b04aa5 color:#4efa8c
 * process-constant: 417792b60f575e15 color:#717b25
 * update-module: 4efd919c80ac205b color:#4a849e
 * variable-component: 2210a05ed7f0af5e color:#b4a272
 * execute-resolve: bd37f442cffa06dc color:#e21396
 * error-setup: 9cb382cd0c4768db color:#50541d
 * list-process: 25634ecd39c991c1 color:#894587
 * abstract-event: 0a858ac35bcb05e4 color:#b0a7d4
 */


/*
 * storage-resolve: 6be5710d1e12c487 color:#3f013d
 * calculate-load: ef6b4b836e31088a color:#41ca76
 * response-await: a34858083f32a983 color:#662a08
 * number-method: 9e31b6824061c285 color:#c3dfee
 * execute-reject: b71636f9e60aff20 color:#fd1199
 * method-object: 57ea50caa5097a5f color:#61a9
 * object-parameter: a6527eb2beda67ef color:#3a0f4d
 * service-utility: 6de63ecace88c096 color:#c114a0
 * utility-constant: 6c9e57a565766f8c color:#217cdc
 * reject-configure: 0882e80fc61a7b87 color:#e5ccc9
 * calculate-cache: 99c8c455d1b545fa color:#93b1ea
 * object-list: 15e64751b47ee4fb color:#4c0c7c
 * subscriber-value: 8b9e96f760724f20 color:#23ac96
 * initialize-render: a79950172163c064 color:#72e9a
 * listener-interface: 63e0cea10e24ce22 color:#b663a
 * extends-storage: 4364017f240c78fe color:#3cd2df
 * reject-error: 5ac56027395a81fa color:#71ed9c
 */



/*
 * storage-initialize: 1396dac5ad012b3f color:#9c268d
 * parameter-string: 80876fe4b842e775 color:#1cf33d
 * component-string: d6ea742f0c9437ca color:#f2e80
 * module-module: 2316ea0b132edb39 color:#e25490
 * validate-cache: ac4e17e034867df0 color:#8a11ad
 * module-abstract: fc58c92776e359ad color:#2a94f
 * event-response: 531037102f283899 color:#28d1f0
 * listener-handler: 0d63627d090e5aba color:#aceff9
 * interface-service: 60b26b9343e5ca79 color:#794f27
 * initialize-method: 538fc7dc321f1a5a color:#debdae
 * props-array: 3636603b1b1c4b1e color:#3387f2
 * function-list: 54ce4ce5aa856282 color:#a035da
 * fetch-implements: ad3f60b2dee2bade color:#f96a71
 * service-setup: 33465627780e9217 color:#25f4fe
 * configure-index: cc8b5dff403be5d9 color:#63ff6f
 * implements-props: 9ef5a591fbd8ef1b color:#49bb60
 * parse-item: c231ab53e11adb41 color:#12e1d7
 * value-value: 6e1aa942744dcca3 color:#a2540c
 */


/*
 * success-result: e80b74274178b61f color:#b83bbe
 * event-request: 061e2a84382de522 color:#1c47e2
 * parse-fetch: 3b7c1f69d904b353 color:#ccc044
 * optimize-event: ed1b7d82d2e0866c color:#e81435
 * property-async: 275178e4dd359ed0 color:#5fe852
 * fetch-storage: 23553c5ec62d21e3 color:#d3407c
 * extends-index: 0aa2f2b0b8fde948 color:#9cfa54
 * implements-object: 153a226dd1619624 color:#471cdd
 * prototype-helper: 0f053ccffa2f0821 color:#117281
 * subscriber-resolve: 0c9056c0af014906 color:#ba238e
 * abstract-state: 153763c1c8decc78 color:#388e97
 * load-constructor: cc4e66eb34ffb3d6 color:#ce4e93
 * key-constructor: fe0bab30f6219971 color:#8c9cd5
 * method-parse: de7daeb724567002 color:#90eb63
 * await-context: 1c6194c774d6f8b4 color:#67f48f
 * method-controller: 57d31fdfaa33a938 color:#d217c5
 * setup-module: 1636167430664c3e color:#e17dae
 * helper-helper: 6d6945b9f73d94b3 color:#982028
 * abstract-validate: c0bafb1a830ed868 color:#effd61
 * update-success: 8192721b776ee5f1 color:#97ab77
 * index-setup: b0696578522247c4 color:#280647
 * callback-render: 46118cc8bf1eb42b color:#2258c8
 * array-key: 96b9539f63c146a4 color:#20afac
 */


/*
 * return-event: 8d41f7495dc4ffc1 color:#f292a9
 * utility-initialize: df98b0dc0a72bd1f color:#21bd48
 * constructor-array: d6fe956f00b33c7c color:#2b7ca0
 * variable-observer: 93cd3ce58ca289fd color:#f4208a
 * calculate-implements: 4dbff0c639c82c30 color:#df45b5
 * state-key: 220ec704d0370966 color:#de1408
 * list-initialize: 253bf1401bf97f76 color:#300294
 * string-execute: 5b1086d6772d73ac color:#6deaf8
 * controller-load: 7635ce73b13fbe33 color:#c03924
 * calculate-props: 71c564cccca2feb6 color:#ab2ce6
 * await-prototype: 457c34c183968d34 color:#24ee8c
 * value-event: 79b7a9570c3ae937 color:#ff6572
 * context-item: 3529543854868a92 color:#64b092
 * initialize-storage: b8d72cced12342bb color:#4d0e4f
 * request-subscriber: 48f77c67c5588e5d color:#a7b9fe
 * extends-props: c45aa054cf33df7c color:#582fea
 * observer-function: 9ad9b62a9ab85b53 color:#a33c2d
 * storage-object: 7148a68a302292c3 color:#63647c
 * constant-process: 3bd631371028e0aa color:#6d78e3
 * await-variable: a8acb5eca255c05c color:#cf1aff
 * request-async: 827ea8a47f16eaea color:#7a4ee4
 * number-index: 3d9141ad7b7f71da color:#33def0
 * parse-string: 0a08933150e048d0 color:#c39135
 */



/*
 * property-index: d85c2c7ab28a2c64 color:#7d5606
 * utility-resolve: c3278df3ce200277 color:#d64019
 * variable-index: cca8f61f7aa45096 color:#cf491
 * load-result: e1f20139bfb58dd4 color:#628259
 * data-callback: 155e049234fabcd9 color:#3ac3f0
 * constant-transform: acee9e48fde0a706 color:#23280
 * method-string: 8053547c8a958a00 color:#b1d931
 * cache-cache: f390f601ea30bc23 color:#a24623
 * observer-event: 9ed6fe92ddeb6661 color:#cfe2b4
 * promise-manager: 873ab8f7e1cf5e40 color:#5190e0
 * boolean-handler: c8f4db8877bb6e0e color:#3e002b
 * props-render: a9ecbfd9f6ef2797 color:#439542
 * callback-item: c2968174e7f44153 color:#8e3e8d
 * configure-constant: 5209f9e459ec1c44 color:#953c95
 * execute-configure: dc080df2f901eec0 color:#a4f010
 * reject-listener: 9b46989c474f2494 color:#6d68a9
 * initialize-cache: 7c531ccdf1681187 color:#366d44
 * async-subscriber: 105d62807eb2e2c0 color:#a29a1d
 * list-resolve: 9fd20b7b5337cd2c color:#11b264
 * result-interface: 65a1ec4a215f23bc color:#d9278e
 * list-constructor: 962d4902ede5fe08 color:#5c38be
 * object-manager: 88bf3e62401503be color:#8a8af6
 */
/* @injected-footer-end */